%define module  libusb1

Name:           python-%{module}
Version:        1.6.4
Release:        %mkrel 1
Summary:        Python ctype-based wrapper around libusb1
Group:          Development/Python
License:        LGPLv2+
URL:            https://github.com/vpelletier/python-libusb1
Source0:        https://github.com/vpelletier/python-libusb1/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
Pure-python wrapper for libusb-1.0.
Supports all transfer types, both in synchronous and asynchronous mode.

%package -n     python3-%{module}
Summary:        Python3 ctype-based wrapper around libusb1
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{module}
Pure-python wrapper for libusb-1.0.
Supports all transfer types, both in synchronous and asynchronous mode.

%prep
%setup -q
%autopatch -p1

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc COPYING.LESSER README.rst
%{python2_sitelib}/usb1/
%{python2_sitelib}/%{module}.py*
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc COPYING.LESSER README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/usb1/
%{python3_sitelib}/%{module}.py
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Feb 08 2017 akien <akien> 1.6.4-1.mga6
+ Revision: 1085160
- Version 1.6.4

* Sun Jan 29 2017 akien <akien> 1.6.3-1.mga6
+ Revision: 1083909
- Version 1.6.3

* Sat Jan 07 2017 akien <akien> 1.6.2-1.mga6
+ Revision: 1080422
- Version 1.6.2
- Version 1.6.1

* Thu Nov 24 2016 akien <akien> 1.6-1.mga6
+ Revision: 1069719
- Version 1.6

* Sat Oct 29 2016 akien <akien> 1.5.3-1.mga6
+ Revision: 1063994
- Version 1.5.3

* Sat Apr 30 2016 akien <akien> 1.5.0-1.mga6
+ Revision: 1008066
- imported package python-libusb1

